/* Copyright 2002-2024 CS GROUP
 * Licensed to CS GROUP (CS) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * CS licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/**
 * This package provides an implementation of the Draper Semi-analytical
 * Satellite Theory (DSST).
 * <p>
 * The DSST theory, originated from P. J. Cefola and his colleagues (mid 70's),
 * describes a semianalytical propagator that combines the accuracy of numerical
 * propagators with the speed of analytical propagators.
 * </p>
 * <p>
 * All the references for the equations in the code come from:<br>
 * SEMIANALYTIC SATELLITE THEORY<br>
 * D. A. Danielson, C. P. Sagovac, B. Neta, L. W. Early<br>
 * Mathematics Department - Naval Postgraduate School - Monterey, CA 93943<br>
 * 1995.
 * </p>
 *
 * @author Pascal Parraud
 */
package org.orekit.propagation.semianalytical.dsst;

